summaryrefslogtreecommitdiffstats
path: root/source/l/SDL2
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-03-10 19:53:39 +0000
committer Eric Hameleers <alien@slackware.com>2020-03-11 08:59:49 +0100
commit35fc44d178d36d3aa9d6ff6aca6af5fa87ed2e29 (patch)
treef33dd4a480eb198d9dc31e49601dba2dafd193e5 /source/l/SDL2
parent1e4e145b9ef2bb2ff211837be8ea346790b120c6 (diff)
downloadcurrent-35fc44d178d36d3aa9d6ff6aca6af5fa87ed2e29.tar.gz
current-35fc44d178d36d3aa9d6ff6aca6af5fa87ed2e29.tar.xz
Tue Mar 10 19:53:39 UTC 202020200310195339
d/guile-3.0.1-x86_64-1.txz: Upgraded. l/SDL2-2.0.10-x86_64-2.txz: Rebuilt. Rebuilt to pick up wayland support. Thanks to franzen. l/dconf-0.36.0-x86_64-1.txz: Upgraded. l/dconf-editor-3.36.0-x86_64-1.txz: Upgraded. l/gsettings-desktop-schemas-3.36.0-x86_64-1.txz: Upgraded. l/python-pygments-2.5.2-x86_64-1.txz: Upgraded. It seems like the pragmatic thing to do here is to revert this one to fix the python2 programs and modules that depend on it. We'll have to do a bit more research to determine what the best course of action is regarding python2 in general, though. Certainly we shouldn't be requiring python2 for anything important moving forward, but even that will take some work. Plasma 5 as currently built has multiple dependencies on python2, for example. n/bind-9.16.0-x86_64-4.txz: Rebuilt. Drop python2 support and switch to python3. x/liberation-fonts-ttf-2.1.0-noarch-1.txz: Upgraded. xap/mozilla-firefox-68.6.0esr-x86_64-1.txz: Upgraded. This release contains security fixes and improvements. For more information, see: https://www.mozilla.org/en-US/firefox/68.6.0/releasenotes/ https://www.mozilla.org/security/advisories/mfsa2020-09/ https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6805 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6806 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6807 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6811 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-20503 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6812 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6814 (* Security fix *)
Diffstat (limited to 'source/l/SDL2')
-rw-r--r--source/l/SDL2/SDL2-2.0.9-khrplatform.patch15
-rwxr-xr-xsource/l/SDL2/SDL2.SlackBuild7
2 files changed, 20 insertions, 2 deletions
diff --git a/source/l/SDL2/SDL2-2.0.9-khrplatform.patch b/source/l/SDL2/SDL2-2.0.9-khrplatform.patch
new file mode 100644
index 000000000..b6c39278b
--- /dev/null
+++ b/source/l/SDL2/SDL2-2.0.9-khrplatform.patch
@@ -0,0 +1,15 @@
+diff -up SDL2-2.0.9/include/SDL_opengl_glext.h.khrplatform SDL2-2.0.9/include/SDL_opengl_glext.h
+--- SDL2-2.0.9/include/SDL_opengl_glext.h.khrplatform 2019-02-15 20:22:39.173773779 -0500
++++ SDL2-2.0.9/include/SDL_opengl_glext.h 2019-02-15 20:22:58.176399330 -0500
+@@ -469,8 +469,9 @@ GLAPI void APIENTRY glBlendEquation (GLe
+ typedef long GLsizeiptr;
+ typedef long GLintptr;
+ #else
+-typedef ptrdiff_t GLsizeiptr;
+-typedef ptrdiff_t GLintptr;
++#include <KHR/khrplatform.h>
++typedef khronos_intptr_t GLintptr;
++typedef khronos_ssize_t GLsizeiptr;
+ #endif
+ #define GL_BUFFER_SIZE 0x8764
+ #define GL_BUFFER_USAGE 0x8765
diff --git a/source/l/SDL2/SDL2.SlackBuild b/source/l/SDL2/SDL2.SlackBuild
index cc2972d79..a07d35960 100755
--- a/source/l/SDL2/SDL2.SlackBuild
+++ b/source/l/SDL2/SDL2.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2017, 2018, 2019 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2017, 2018, 2019, 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=SDL2
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -85,6 +85,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Fix video-opengles1 build failure:
+zcat $CWD/SDL2-2.0.9-khrplatform.patch.gz | patch -p1 --verbose || exit 1
+
# Configure:
CFLAGS="$SLKCFLAGS" \
./configure \